"{ Package: 'stx:goodies/monticello' }"

MCRepositoryTest subclass:#MCDirectoryRepositoryTest
	instanceVariableNames:'directory'
	classVariableNames:''
	poolDictionaries:''
	category:'Monticello-Tests'
!


!MCDirectoryRepositoryTest methodsFor:'as yet unclassified'!

addVersion: aVersion
	| file |
	file := FileStream newFileNamed: (directory fullNameFor: aVersion fileName).
	aVersion fileOutOn: file.
	file close.
!

directory
	directory ifNil:
		[directory := FileDirectory default directoryNamed: 'mctest'.
		directory assureExistence].
	^ directory
!

setUp
	repository := MCDirectoryRepository new directory: self directory
!

tearDown
	self directory recursiveDelete
! !

!MCDirectoryRepositoryTest class methodsFor:'documentation'!

version
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCDirectoryRepositoryTest.st,v 1.1 2011-08-20 12:19:09 cg Exp $'
!

version_CVS
    ^ '$Header: /cvs/stx/stx/goodies/monticello/MCDirectoryRepositoryTest.st,v 1.1 2011-08-20 12:19:09 cg Exp $'
!

version_SVN
    ^ 'Id: MCDirectoryRepositoryTest.st 5 2010-08-29 07:30:29Z vranyj1 '
! !
